std::ranges::chunk_view::inner-iterator::operator*(3)

NAME
std::ranges::chunk_view::inner-iterator::operator* - std::ranges::chunk_view::inner-iterator::operator*

Synopsis
   constexpr ranges::range_reference_t<V> operator*() const; (since C++23)
   Returns the current element in current chunk in the chunk_view.
   Let parent_ be the underlying pointer to chunk_view. Equivalent to: return
   **parent_->current_;.
   Before invocation of this operator the expression *this == std::default_sentinel
   must be false.

Parameters
   (none)

Return value
   The current element in current chunk.

Example
    This section is incomplete
    Reason: no example

See also
   base returns an iterator to the current element
   (C++23) (public member function)

Category:
     * Todo no example